.hh-container {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0px;
    width: 100%;
    padding: 15px;
    z-index: 1000;
    top: 0;
    background: transparent;
    will-change: transform, opacity;
}

.hh-container.is-sticky {
    position: sticky;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.97) 70%, rgba(255,255,255,0.8) 100%);
    padding: 5px 5px 10px;
    border-bottom: 1px solid #CCC;
    flex-direction: row;
    align-items: flex-start;
    gap: 8px;
    animation: fadeInSticky 0.3s ease forwards;
}

.hh-container.is-hidden {
    opacity: 0;
    pointer-events: none;
    transform: translateY(-20%);
    animation: fadeOutSticky 0.5s ease;
}

#hh-anchor {
    height: 1px;
    width: 100%;
    visibility: hidden;
}

.hh-conteudo {
    flex: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}

.hh-container.is-sticky .hh-conteudo {
    flex-direction: row;
    align-items: flex-start;
}

.hh-container.is-sticky .hh-sticker {
    flex-direction: row;
    width: 100%;
    max-width: 80%;
}

.hh-capa { display: none; }

.hh-container.is-sticky .hh-capa {
    display: block;
    width: 48px;
    max-height: 48px;
    min-height: 48px;
    object-fit: cover;
    border-radius: 8px;
    box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2);
    border: 2px solid #fff;
}

.hh-titulo {
    font-family: 'Merienda', cursive;
    font-size: 1.4em;
    margin: 0;
    color: #333;
    text-wrap: pretty;
    text-align: center;
}

.hh-container.is-sticky .hh-titulo {
    font-size: 1em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    flex: 1;
    text-align: left;
}

.hh-tags-wrapper {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin: 0;
}

.hh-container.is-sticky .hh-tags-wrapper {
    display: none;
}

.hh-tag {
    padding: 2px 8px;
    min-height: 18px;
    border-radius: 4px;
    font-size: 0.7em;
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    display: flex;
    align-items: center;
}
.hh-conteudo .hh-tag {
    display: none;
}

.hh-tag svg { width: 16px; height: 16px; fill: #f1f1f1; }

.hh-player-area {
    display: flex;
    align-items: center;
    border-left: 1px solid #CCC;
    padding-left: 10px;
    max-height: 30px;
}

.hh-container.is-sticky .hh-player-area {
    padding: 10px 0px 10px 10px;
    border-left: 0;
    max-height: none;
}

.hh-play-btn {
    background-color: #27ae60;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    cursor: pointer;
    font-size: 1.2em;
    padding: 2px 0 0 2px;
    transition: transform 0.2s, all 0.1s ease;
}

.hh-play-btn:hover { transform: scale(1.1); }

.hh-marcha { background-color: #33b100; }
.hh-valsa { background-color: #2284ff; }
.hh-mazurca { background-color: #8544d6; }
.hh-audio { background-color: #8544d6; }
.hh-de-pe { background-color: #ff8800; }
.hh-info { background-color: #95a5a6; }

@keyframes fadeInSticky {
    from {opacity: 0; transform: translateY(-20px);}
    to {opacity: 1; transform: translateY(0);}
}
@keyframes fadeOutSticky {
    from {opacity: 1; transform: translateY(0);}
    to {opacity: 0; transform: translateY(-20px);}
}

@media (min-width: 769px) {
    .hh-container {
        margin: 0 20px;
        align-items: flex-start;
    }
    .hh-conteudo {
        flex-direction: row-reverse;
        padding-bottom: 10px;
        border-bottom: 1px solid #f1f1f1;
        gap: 6px;
    }
    .hh-tag {display: none;}
    .hh-conteudo .hh-tag {
        display: block;
        margin-top: 2px;
    }
    .hh-titulo {
        font-size: 1.5em;
        text-align: left;
        padding: 3px 10px 3px 25px ;
        /* border-left: 2px solid #6f6f6f; */
        background-color: #43434318;
        /* background-color: #32b10018; */
        /* background-color: #2284ff2a; */
        margin-left: -20px;
        border-radius: 8px;
        filter: blur(0.5px);
    }
    .hh-tags-wrapper {
        margin: 0 0 -10px -30px;
    }
    .hh-player-area {
        border-left: 0;
        /* border-right: 2px solid rgb(118, 118, 118); */
        padding-right:  -2px;
        padding-left: 0;
        max-height: none;
        border-radius: 25px;
        z-index: 10;
        box-shadow: 2px 2px 2px rgba(118, 118, 118, 0.286);
    }
    .hh-player-area:hover {
        box-shadow: 6px 6px 6px rgba(118, 118, 118, 0.134);
    }
}
